IBM Support

IBM i 6.1.1 and 7.1 (pre-Tech Refresh 5) boot issue following Power Firmware update/upgrade.

Technote (troubleshooting)


Following a firmware update or upgrade, IBM i may fail to IPL, with srcB600690B


IBM i 6.1.1 or 7.1 (lower than TR5) IPL failure with B600690B


A data structure used by IBM i 6.1.1 (or IBM i 7.1 at TR4 or earlier) is not properly configured by the new server firmware. This prevents the OS from completing Initial Program Load (IPL) properly. The IPL (both A and B side) would stop with srcB600690B.

It is recommended, if you are running IBM i 6.1 (or IBM i 7.1 at TR4 or earlier) that you NOT apply the following FW levels:
Firmware Levels          FW PTFs  Machine Type - Models
----------------------   -------  ------------------------------------------------
770.90   AL770_119_032   MH01728  8231-E1D, 8231-E2D, 8202-E4D, 8205-E6D
770.91   AL770_120_032   MH01740  8231-E1D, 8231-E2D, 8202-E4D, 8205-E6D
770.92   AL770_122_032   MH01744  8231-E1D, 8231-E2D, 8202-E4D, 8205-E6D

770.90   AM770_119_032   MH01727  9117-MMC, 9179-MHC, 8408-E8D, 9109-RMD
770.91   AM770_120_032   MH01741  9117-MMC, 9179-MHC, 8408-E8D, 9109-RMD
770.92   AM770_122_032   MH01745  9117-MMC, 9179-MHC, 8408-E8D, 9109-RMD

780.80   AM780_091_040            9117-MMB, 9179-MHB, 9117-MMD, 9179-MHD, 8412-EAD
780.81   AM780_094_040            9117-MMB, 9179-MHB, 9117-MMD, 9179-MHD, 8412-EAD
780.82   AM780_096_040            9117-MMB, 9179-MHB, 9117-MMD, 9179-MHD, 8412-EAD

780.80   AH780_091_040            9119-FHB
780.80   AH780_094_040            9119-FHB
780.82   AH780_096_040            9119-FHB

When the follow-up server firmware, which addresses this IBM i 6.1 / 7.1 pre-TR5 problem, is released, apply that firmware level instead.

If you have encountered the problem, you will either need to concurrently update to the fixing firmware level, or you will need to revert the firmware level to the previous firmware level. When the fixing firmware level is available, you can update/upgrade to that level to avoid the IPL problem.


Power7 systems running IBMi 6.1

Cross reference information
Segment Product Component Platform Version Edition
Operating System IBM i 7.1 Not Applicable IBM i 7.1
Operating System IBM i 6.1 IBM i 6.1

Document information

More support for: IBM i

Software version: 6.1

Operating system(s): IBM i

Reference #: N1022482

Modified date: 28 February 2018

Translate this page: